# HG changeset patch
# Node ID 032dc6dc3672
# Parent  bc5e361de7ff
diff --git a/libpurple/buddy.h b/libpurple/buddy.h
--- a/libpurple/buddy.h
+++ b/libpurple/buddy.h
@@ -261,7 +261,10 @@ void purple_buddy_update_status(PurpleBu
  * Gets the media caps from a buddy.
  *
  * Returns:      The media caps.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 PurpleMediaCaps purple_buddy_get_media_caps(PurpleBuddy *buddy);
 
 /**
@@ -270,7 +273,10 @@ PurpleMediaCaps purple_buddy_get_media_c
  * @media_caps: The PurpleMediaCaps.
  *
  * Sets the media caps for a buddy.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 void purple_buddy_set_media_caps(PurpleBuddy *buddy, PurpleMediaCaps media_caps);
 
 /**
diff --git a/libpurple/media/candidate.h b/libpurple/media/candidate.h
--- a/libpurple/media/candidate.h
+++ b/libpurple/media/candidate.h
@@ -30,6 +30,8 @@
 
 #include <glib-object.h>
 
+#include "purpleversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -75,7 +77,10 @@ PurpleMediaCandidate *purple_media_candi
  * Copies a PurpleMediaCandidate.
  *
  * Returns: (transfer full): The copy of the PurpleMediaCandidate.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 PurpleMediaCandidate *purple_media_candidate_copy(
 		PurpleMediaCandidate *candidate);
 
diff --git a/libpurple/media/codec.h b/libpurple/media/codec.h
--- a/libpurple/media/codec.h
+++ b/libpurple/media/codec.h
@@ -36,6 +36,7 @@
 typedef struct _PurpleMediaCodec PurpleMediaCodec;
 
 #include "purplekeyvaluepair.h"
+#include "purpleversion.h"
 
 #include <glib-object.h>
 
@@ -165,7 +166,10 @@ PurpleKeyValuePair *purple_media_codec_g
  * Copies a PurpleMediaCodec object.
  *
  * Returns: (transfer full): The copy of the codec.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 PurpleMediaCodec *purple_media_codec_copy(PurpleMediaCodec *codec);
 
 /**
diff --git a/libpurple/mediamanager.h b/libpurple/mediamanager.h
--- a/libpurple/mediamanager.h
+++ b/libpurple/mediamanager.h
@@ -33,6 +33,7 @@ typedef struct _PurpleMediaManager Purpl
 
 #include "media.h"
 #include "purpleaccount.h"
+#include "purpleversion.h"
 
 #define PURPLE_TYPE_MEDIA_MANAGER purple_media_manager_get_type()
 
@@ -273,7 +274,10 @@ PurpleMediaCaps purple_media_manager_get
  * @backend_type: The media backend type to use.
  *
  * Sets which media backend type media objects will use.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 void purple_media_manager_set_backend_type(PurpleMediaManager *manager,
 		GType backend_type);
 
@@ -284,7 +288,10 @@ void purple_media_manager_set_backend_ty
  * Gets which media backend type media objects will use.
  *
  * Returns: The type of media backend type media objects will use.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 GType purple_media_manager_get_backend_type(PurpleMediaManager *manager);
 
 /**
diff --git a/libpurple/purplemarkup.h b/libpurple/purplemarkup.h
--- a/libpurple/purplemarkup.h
+++ b/libpurple/purplemarkup.h
@@ -29,6 +29,8 @@
 
 #include <glib.h>
 
+#include "purpleversion.h"
+
 G_BEGIN_DECLS
 
 /**
@@ -83,7 +85,10 @@ char *purple_markup_linkify(const char *
  *
  * Returns: The text with HTML entities literalized.  You must g_free
  *         this string when finished with it.
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 char *purple_unescape_text(const char *text);
 
 /**
diff --git a/libpurple/purpleversion.h b/libpurple/purpleversion.h
--- a/libpurple/purpleversion.h
+++ b/libpurple/purpleversion.h
@@ -106,6 +106,22 @@
 #define PURPLE_AVAILABLE_IN_ALL _PURPLE_EXTERN
 
 /**
+ * PURPLE_VERSION_2_7:
+ *
+ * A macro that evaluates to the 2.7 version of libpurple, in a format that
+ * can be used by the C pre-processor.
+ *
+ * Since: 3.0.0
+ */
+#define PURPLE_VERSION_2_7 (G_ENCODE_VERSION(2, 7))
+
+#if PURPLE_VERSION_MAX_ALLOWED < PURPLE_VERSION_2_7
+#define PURPLE_AVAILABLE_IN_2_7 PURPLE_UNAVAILABLE(2, 7)
+#else
+#define PURPLE_AVAILABLE_IN_2_7 _PURPLE_EXTERN
+#endif
+
+/**
  * PURPLE_VERSION_2_8:
  *
  * A macro that evaluates to the 2.8 version of libpurple, in a format that
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -728,7 +728,10 @@ void purple_xfer_protocol_ready(PurpleXf
  * Gets the thumbnail data for a transfer
  *
  * Returns: The thumbnail data, or NULL if there is no thumbnail
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 gconstpointer purple_xfer_get_thumbnail(PurpleXfer *xfer, gsize *len);
 
 /**
@@ -738,7 +741,10 @@ gconstpointer purple_xfer_get_thumbnail(
  * Gets the mimetype of the thumbnail preview for a transfer
  *
  * Returns: The mimetype of the thumbnail, or %NULL if not thumbnail is set
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 const gchar *purple_xfer_get_thumbnail_mimetype(PurpleXfer *xfer);
 
 
@@ -750,7 +756,10 @@ const gchar *purple_xfer_get_thumbnail_m
  * @mimetype: The mimetype of the generated thumbnail
  *
  * Sets the thumbnail data for a transfer
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 void purple_xfer_set_thumbnail(PurpleXfer *xfer, gconstpointer thumbnail,
 	gsize size, const gchar *mimetype);
 
@@ -762,7 +771,10 @@ void purple_xfer_set_thumbnail(PurpleXfe
  *
  * Prepare a thumbnail for a transfer (if the UI supports it)
  * will be no-op in case the UI doesn't implement thumbnail creation
+ *
+ * Since: 2.7.0
  */
+PURPLE_AVAILABLE_IN_2_7
 void purple_xfer_prepare_thumbnail(PurpleXfer *xfer, const gchar *formats);
 
 /**************************************************************************/
